Subject: bug#34654: Attaching a file with a new name in a message

From: Abdo Haji-Ali <[email-masked]>
Date: Mon, 25 Feb 2019 18:42:05 +0000

Hello,

I am using Emacs 26.1 to send my emails. While writing an email, I
attach files by calling
`mail-attach-file` (bound to C-c C-a on my setup)
I usually want to rename the file before sending so that my local file
name doesn't appear to the recipient. I found in the docs that setting
the properties 'recipient-filename' or 'name' in the <part> tag should
do the trick. However, this doesn't seem to be the case, since my
recipients are still receiving files with my original filenames.
Looking at the raw message I found in the header

Content-Disposition: attachment; filename="old-name.pdf"

Even when I set the 'recipient-filename' and 'name' properties.
Looking through the source, it seems that line 904 in mml.el always
sets the Content-Disposition filename to the original filename,
disregarding the 'recipient-filename' and 'name' properties.

Is this intentional? Is there another to achieve what I want?